com.holonplatform.vaadin.components

## Enum ComposableComponent.ComponentsWidthMode

- java.lang.Object
- - java.lang.Enum<ComposableComponent.ComponentsWidthMode>
  - - com.holonplatform.vaadin.components.ComposableComponent.ComponentsWidthMode

- All Implemented Interfaces:
    Serializable, Comparable<ComposableComponent.ComponentsWidthMode>
  Enclosing interface:
    ComposableComponent

      public static enum ComposableComponent.ComponentsWidthMode
      extends Enum<ComposableComponent.ComponentsWidthMode>

  Enumeration of composed Components width setup mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` The width of each component will adjusted according to parent layout width: if the parent layout is 100% wide, the components width will be setted to 100%
    `FULL` The width of each component will always be setted to 100%
    `NONE` The width of each component will not be altered

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComposableComponent.ComponentsWidthMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ComposableComponent.ComponentsWidthMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ComposableComponent.ComponentsWidthMode NONE

      The width of each component will not be altered

    - #### AUTO

          public static final ComposableComponent.ComponentsWidthMode AUTO

      The width of each component will adjusted according to parent layout width: if the parent layout is 100% wide, the components width will be setted to 100%

    - #### FULL

          public static final ComposableComponent.ComponentsWidthMode FULL

      The width of each component will always be setted to 100%

  - ### Method Detail

    - #### values

          public static ComposableComponent.ComponentsWidthMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ComposableComponent.ComponentsWidthMode c : ComposableComponent.ComponentsWidthMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ComposableComponent.ComponentsWidthMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.